# $Revision: 1.11 $, $Date: 2005/01/09 20:05:02 $
Summary:	3-D extrapolation of tetris
Summary(pl):	Trjwymiarowa ekstrapolacja tetrisa
Name:		t3
Version:	04.12.20
Release:	2
License:	GPL v2
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/t-3/%{name}-%{version}-beta.tgz
# Source0-md5:	689ac1f91b8fe66f9593ccf44f3ee33f
Patch0:		%{name}-makefile.patch
URL:		http://t-3.sourceforge.net/
BuildRequires:	glut-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
T^3 ("T-cubed") is the 3-D extrapolation of the widely popular
puzzle-arcade game, Tetris(tm). Whereas the objective of the classical
Tetris(tm) game was to arrange falling pieces into horizontal lines,
the objective of T^3 is to form square surfaces.

%description -l pl
T^3 ("T-szecienny") jest trjwymiarow ekstrapolacj popularnej gry
Tetris(tm). Celem klasycznego Tetrisa(tm) jest uoenie spadajcych
klockw w poziome linie, natomiast celem T^3 jest uoenie
kwadratowych powierzchni.

%prep
%setup -q -n %{name}
%patch0 -p1

sed -i "s,data,%{_datadir}/%{name}/&," src/t3.cpp

%build
%{__make} \
	CPPFLAGS="%{rpmcflags} -I../include"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/data

install %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install data/* $RPM_BUILD_ROOT%{_datadir}/%{name}/data

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: t3.spec,v $
Revision 1.11  2005/01/09 20:05:02  adamg
- release 2

Revision 1.10  2005/01/09 15:06:30  adamg
- updated to 04.12.20

Revision 1.9  2004/12/10 06:30:45  snurf
- up to 04.12.08

Revision 1.8  2004/12/03 10:42:36  zbyniu
- BR: s/gcc-c++/libstdc++-devel/

Revision 1.7  2004/12/02 23:57:24  kolodko
- in data are tif; fixed %files

Revision 1.6  2004/12/02 23:46:49  qboosh
- missing dirs; but data executable??

Revision 1.5  2004/12/02 19:23:33  saq
- use optflags, missing BR, simplified

Revision 1.4  2004/12/02 18:11:13  ankry
- pl fix

Revision 1.3  2004/12/02 16:57:40  darekr
- auc. sed is required by rpm-build

Revision 1.2  2004/12/02 16:16:59  darekr
- BR: sed

Revision 1.1  2004/12/02 14:52:54  snurf
- initial, by Piotr Budny <vipw at valkyrie.one.pl>
